import { AssetPutRequestSchema } from '../../schemas/asset/AssetPutRequestSchema';
declare class AssetPutRequest {
    id: string;
    name: string;
    constructor(values: AssetPutRequest);
    isValid(): Promise<boolean>;
    validate(): Promise<any>;
}
export { AssetPutRequest, AssetPutRequestSchema };
